using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Customer2CostBearer : BeWoEntityBase
    {
        public static string PropertyName_CostBearer = "CostBearer";

        public static string PropertyName_Customer = "Customer";

        public static string PropertyName_ReferenceNumber = "ReferenceNumber";

        private CostBearer _CostBearer;

        private Customer _Customer;

        private string _ReferenceNumber;

        public Customer2CostBearer()
        {
            this._Tid = TableID.Customer2CostBearer;
        }

        public virtual CostBearer CostBearer
        {
            get
            {
                return this._CostBearer;
            }

            set
            {
                if (this.AreDifferent(this._CostBearer, value))
                {
                    this._CostBearer = value;
                }
            }
        }

        public virtual Customer Customer
        {
            get
            {
                return this._Customer;
            }

            set
            {
                if (this.AreDifferent(this._Customer, value))
                {
                    this._Customer = value;
                }
            }
        }

        public virtual string ReferenceNumber
        {
            get
            {
                return this._ReferenceNumber;
            }

            set
            {
                if (this.AreDifferent(this._ReferenceNumber, value))
                {
                    this._ReferenceNumber = value;
                }
            }
        }
    }
}